<?php
/**
 * Class that operate on table 'm_initialmaintenancedetail'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2014-09-07 16:06
 */
class MInitialmaintenancedetailMySqlExtDAO extends MInitialmaintenancedetailMySqlDAO{

	
	public function queryByOurSerialEX($value){
		$sql = 'SELECT m_initialmaintenancedetail.propertyValue,m_initialmaintenance.totalClientCost 
				FROM m_initialmaintenancedetail 
			JOIN m_initialmaintenance ON  m_initialmaintenancedetail.initialMaintenanceId = m_initialmaintenance.initialMaintenanceId
				WHERE m_initialmaintenance.ourSerial = ?';
		$sqlQuery = new SqlQuery($sql);
		$sqlQuery->set($value);
		return $this->getList($sqlQuery);
	}
	
}
?>